=== debian/control ===
Source: kodi-vfs-rar
Priority: extra
Maintainer: Nobody <nobody@kodi.tv>
Build-Depends: debhelper (>= 9.0.0), cmake,
               kodi-addon-dev, libtinyxml-dev
Standards-Version: 4.1.2
Section: libs

Package: kodi-vfs-rar
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RAR VFS for Kodi
 RAR VFS for Kodi

Package: kodi-vfs-rar-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: debug symbols for RAR VFS for Kodi
 debug symbols for RAR VFS for Kodi
